Совместимость с API-интерфейсом API API уровня 21? (Поскольку появилось новое обновление SDK)

У меня проблема с уровнем API 21. Я хочу использовать Material Design и все еще иметь возможность запускать приложение на более низких уровнях API, таких как 18 (Android 4.3.1). Но я всегда получаю эту ошибку: Введите описание изображения здесь

Мой манифест SDK выглядит так:

Введите описание изображения здесь

И build.gradle вот так: Введите описание изображения здесь

Надеюсь, что это enougth информация, чтобы получить некоторую помощь, мне это действительно нужно 🙁

Приветствия.

Как описано в документе doc: https://developer.android.com/training/material/theme.html

Примечание. Тема материала доступна только в Android 5.0 (API уровня 21) и выше

Это означает, что вы должны использовать папку values-v21 для своей материальной темы.

Однако вы можете использовать библиотеки поддержки V7 для предоставления тем стилей материалов для некоторых виджетов. Это пример использования темы AppCompat.

<style name="Theme.MyTheme" parent="Theme.AppCompat.Light"> <!-- Here we setting appcompat's actionBarStyle --> <item name="actionBarStyle">@style/MyActionBarStyle</item> <!-- ...and here we setting appcompat's color theming attrs --> <item name="colorPrimary">@color/my_awesome_red</item> <item name="colorPrimaryDark">@color/my_awesome_darker_red</item> <!-- The rest of your attributes --> </style> 

Больше информации здесь: https://chris.banes.me/2014/10/17/appcompat-v21/

Intereting Posts
ListView пуст, несмотря на элементы, добавленные в адаптер когда-нибудь при возобновлении приложения Как включить / отключить собственный лог-код в ndk во время выполнения Ошибка Linker для Android NDK «Неопределенная ссылка на std :: ios_base» при использовании FreeImage ScrollView делает пользовательский макет невидимым Доступ к заголовкам ответов HTTP в WebView? Waze API для Android Android VideoView Невозможно воспроизвести видеообнаружение, особенно .mp4 Обновить заголовок ящика заголовка материала Показывать радиокнопки на одной строке? Эксо-проигрыватель Пример DASH Streaming Eclipse не обновляет apk при внесении изменений в приложение phonegap Как создать Android без приложения для телефона? Android Browser.BOOKMARKS_URI не работает на всех устройствах. Как узнать правильный uri для данного устройства? Когда необходимо выполнить invalidate () в представлении? Невозможно создать AVD или протестировать любое приложение с помощью AVD после создания инструментов обновления до 22.6